summaryrefslogtreecommitdiffstats
path: root/scripts/make_locale.sh
diff options
context:
space:
mode:
authorLuotao Fu <l.fu@pengutronix.de>2007-07-10 13:11:19 +0000
committerLuotao Fu <l.fu@pengutronix.de>2007-07-10 13:11:19 +0000
commit748aee113a96fa6d89487270056f5c91b39aaf46 (patch)
tree93610e45a7bc27b3b255282a258e321e2d0a6a1d /scripts/make_locale.sh
parentc76228f90e20fc02259253edbe6510fd557931ff (diff)
downloadptxdist-748aee113a96fa6d89487270056f5c91b39aaf46.tar.gz
ptxdist-748aee113a96fa6d89487270056f5c91b39aaf46.tar.xz
fixed wrong I18N env variable
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@7231 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'scripts/make_locale.sh')
-rwxr-xr-xscripts/make_locale.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/scripts/make_locale.sh b/scripts/make_locale.sh
index a1c35b4f5..7e9124717 100755
--- a/scripts/make_locale.sh
+++ b/scripts/make_locale.sh
@@ -51,16 +51,13 @@ add_locale() {
SYSROOT_USR=`ptxd_get_sysroot_usr`
[ ! -d ${SYSROOT_USR} ] && { echo "Toolchain sysroot dir not found"; exit 1; }
-
- I18NPATH=${SYSROOT_USR}/share/i18n
- [ ! -d ${I18NPATH} ] && { echo "I18NPATH source dir not found"; exit 1; }
+ [ ! -d ${SYSROOT_USR}/share/i18n ] && { echo "I18NPATH source dir not found"; exit 1; }
if [ ! -d ${PREF}/usr/lib/locale ]; then
mkdir -p ${PREF}/usr/lib/locale
[ $? -ne 0 ] && { echo "Could not create temporary locales directory ${PREF}/usr/lib/locale"; exit 1; }
fi
-
- ${LOCALEDEF} -i $LOCALE_DEF -f ${CHARMAP} $LOCALE_NAME --prefix=${PREF}
+ I18NPATH=${SYSROOT_USR}/share/i18n ${LOCALEDEF} -i $LOCALE_DEF -f ${CHARMAP} $LOCALE_NAME --prefix=${PREF}
[ $? -ne 0 ] && { echo "calling localedef binary failed"; exit 1; }
[ ! -e ${PREF}/usr/lib/locale/locale-archive ] && { echo "locale archive generation failed"; exit 1; }